<%@ page language="C#" autoeventwireup="true" inherits="admin2_o3a, gj_web" validaterequest="false" enableviewstatemac="false" enableEventValidation="false" %>
<head><title>无标题页</title></head><link href="css/yb.css" rel="stylesheet" type="text/css">
<script language="javascript" src="js/sbyk.js" ></script><script language="javascript" src="js/db.js" ></script>
<script language="javascript" >
function ks(id)
{
document.getElementById("hid_cz").value=id;
sendRequest('o3c.aspx?mk=<%=mk%>');
}
function bmmm(){
var lx=<%=lx%>;
if(lx=="1"){
document.getElementById('PlaceHolder5').style.display="";
document.getElementById('PlaceHolder6').style.display="";
}
else if(lx=="2"){
document.getElementById('PlaceHolder5').style.display="none";
document.getElementById('PlaceHolder6').style.display="none";
}
else{
document.getElementById('PlaceHolder5').style.display="none";
document.getElementById('PlaceHolder6').style.display="";
}
var jj = document.getElementById('DropDownList1');
if(jj.value=="5"){
document.getElementById('PlaceHolder1').style.display="";
document.getElementById('PlaceHolder2').style.display="";
document.getElementById('PlaceHolder4').style.display="none";
document.getElementById('PlaceHolder6').style.display="none";
document.getElementById('DropDownList4').value="0";
document.getElementById('glmkdh').value="";
document.getElementById('Tr1').style.display="none";
}
else if(jj.value=="1"){
document.getElementById('PlaceHolder1').style.display="none";
document.getElementById('PlaceHolder2').style.display="none";
document.getElementById('PlaceHolder4').style.display="";
document.getElementById('PlaceHolder6').style.display="";
document.getElementById('Tr1').style.display="none";
}
else if(jj.value=="2"){
document.getElementById('PlaceHolder1').style.display="none";
document.getElementById('PlaceHolder2').style.display="none";
document.getElementById('PlaceHolder4').style.display="none";
document.getElementById('PlaceHolder6').style.display="none";
document.getElementById('Tr1').style.display="";
}
else{
document.getElementById('PlaceHolder1').style.display="none";
document.getElementById('PlaceHolder2').style.display="none";
document.getElementById('PlaceHolder4').style.display="none";
document.getElementById('PlaceHolder6').style.display="none";
document.getElementById('DropDownList4').value="0";
document.getElementById('glmkdh').value="";
document.getElementById('Tr1').style.display="none";
}
}

function bmmm2(){
var jj2 = document.getElementById('DropDownList4');
if(jj2.value=="91"){document.getElementById('PlaceHolder7').style.display="";}else{document.getElementById('PlaceHolder7').style.display="none";}
}

</script>
<body onload="bmmm();">
<form id="form1" runat="server">
<input type="hidden" name="hid_xz" id="hid_xz" /><input type="hidden" name="hid_cz" id="hid_cz" />
<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px;">
<tr style="background-color:#f2f2f2;"><td >
<div class="bt"><asp:label ID="btxs" runat="server" text="添加控件属性 "></asp:label>
<span style="margin-left:10px;font-weight:normal;"><a href="o3.aspx?id=<%=mk%>">控件属性</a></span>
<span style="margin-left:10px;font-weight:normal;"><a href="o1.aspx">功能模块</a></span>
<span style="margin-left:10px;font-weight:normal;"><a href="xx1.aspx?mk=<%=mk%>&sc=0">所有<%=mkm%></a></span>
<asp:label ID="tjnr" runat="server" text=" "></asp:label>
</div>
</td></tr></table>

<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-bottom:5px;">

<tr style="background-color:#ffffff;"><td align="right" style="width:60px;" nowrap=nowrap>控件ID：</td>
<td ><asp:TextBox ID="v0" runat="server" Width="100px"></asp:TextBox> 英文或数字或组合，用于界面模板页中调用，调用显示此数据方法：<font color=red>[!自定义控件ID!]</font></td></tr>

<tr style="background-color:#ffffff;"><td align="right" style="width:60px;" nowrap=nowrap>名称：</td>
<td ><asp:TextBox ID="v1" runat="server" Width="100px"></asp:TextBox> 如：大图，小图，市场价等</td></tr>

<tr style="background-color:#ffffff;" id="PlaceHolder3"><td align="right" style="">类型：</td>
<td ><asp:DropDownList ID="DropDownList1" runat="server" onChange="bmmm();"></asp:DropDownList> &nbsp;&nbsp;&nbsp;&nbsp;
</td></tr>

<tr style="background-color:#ffffff;display:none;" id="PlaceHolder1" ><td align="right" style="width:60px;" nowrap=nowrap>值：</td>
<td ><asp:TextBox ID="v3" runat="server" Width="280px"></asp:TextBox> ,号区隔（如：0,1,2）</td></tr>

<tr style="background-color:#ffffff;display:none;" id="PlaceHolder2" ><td align="right" style="width:60px;" nowrap=nowrap>值名：</td>
<td ><asp:TextBox ID="v4" runat="server" Width="280px"></asp:TextBox> ,号区隔（如：套,件,瓶） </td></tr>

<tr style="background-color:#ffffff;display:;" id="PlaceHolder4" ><td align="right" style="width:60px;" nowrap=nowrap>内容列表：</td>
<td ><asp:DropDownList ID="DropDownList2" runat="server" ></asp:DropDownList> （表示在后台管理内容列表里是否显示）</td></tr>

<tr style="background-color:#ffffff;display:none;" id="PlaceHolder5" ><td align="right" style="width:60px;" nowrap=nowrap>可否编辑：</td>
<td ><asp:DropDownList ID="DropDownList3" runat="server" ></asp:DropDownList> （表示在后台管理内容修改里是否可编辑，比如“回复内容”一般是需要可编辑的）</td></tr>

<tr style="background-color:#ffffff;display:none;" id="PlaceHolder6" ><td align="right" style="width:60px;" nowrap=nowrap>关联模块：</td>
<td ><asp:DropDownList ID="DropDownList4" runat="server" onChange="bmmm2();"></asp:DropDownList> <span id="PlaceHolder7" style="display:none;">关联的模块代号：<asp:TextBox ID="glmkdh" runat="server" Width="80px"></asp:TextBox></span>（更复杂的功能会用到，一般选择不关联就可以，<font> <a href="../help/help002.html" target="_blank">关联相关帮助</a></font>）</td></tr>

<tr style="background-color:#ffffff;display:none;" id="Tr1" ><td align="right" style="width:60px;" nowrap=nowrap>关联代码生成：</td>
<td >
<asp:DropDownList ID="DropDownList9" runat="server"></asp:DropDownList>
</td></tr>
<tr style="background-color:#ffffff;"><td align="right" style="width:60px;" nowrap=nowrap>说明文字：</td>
<td ><asp:TextBox ID="TextBox1" runat="server" Width="380px"></asp:TextBox> 可以不填写</td></tr>

</table>





<table width="100%" border="0" cellpadding="4" cellspacing="1" bgcolor="#e2e2e2"  style="margin-top:5px;">
<tr style="background-color:#f2f2f2;"><td >

<input id="Button1" type="button" value="添加" onclick="ks('4');" style="width:80px;" onfocus="this.blur();" />
<input id="Button2" type="button" value="修改" onclick="ks('5');" style="width:80px;" onfocus="this.blur();" />

</td></tr></table>    
<asp:Label ID="Label1" runat="server" Text=""></asp:Label>
<%=rfh()%>
</form>
</body>